#
# spec file for package python-editdistance
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
Name:           python-editdistance
Version:        0.3.1
Release:        1.1
Summary:        An implementation of the edit distance (Levenshtein distance)
License:        MIT
Group:          Development/Languages/Python
Url:            https://www.github.com/aflc/editdistance
Source:         https://files.pythonhosted.org/packages/source/e/editdistance/editdistance-%{version}.tar.gz
BuildRequires:  %{python_module Cython}
BuildRequires:  %{python_module devel}
BuildRequires:  %{python_module setuptools}
BuildRequires:  gcc-c++
BuildRequires:  python-rpm-macros
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%python_subpackages

%description
An implementation of the edit distance (Levenshtein distance).

This library implements Levenshtein distance with C++ and Cython.

The algorithm used in this library is proposed by Heikki Hyyrö,
"Explaining and extending the bit-parallel approximate string
matching algorithm of Myers", (2001).

%prep
%setup -q -n editdistance-%{version}

%build
%python_build

%install
%python_install

%files %{python_files}
%defattr(-,root,root,-)
%{python_sitearch}/*

%changelog
* Sat Mar 18 2017 jengelh@inai.de
- Ensure neutrality of descriptions
* Mon Mar  6 2017 jmatejek@suse.com
- initial commit
